# $Revision: 1.53 $, $Date: 2011/04/18 15:28:00 $
Summary:	Simple application to control the JACK server
Summary(pl.UTF-8):	Prosty program do kontrolowania serwera JACK-a
Name:		qjackctl
Version:	0.3.7
Release:	3
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/qjackctl/%{name}-%{version}.tar.gz
# Source0-md5:	3462613bd5c92fa6e6ae92950bd69c0b
Source1:	%{name}.desktop
Patch0:		%{name}-qt4.patch
Patch1:		%{name}-locale.patch
URL:		http://qjackctl.sourceforge.net
BuildRequires:	QtDBus-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtXml-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	jack-audio-connection-kit-devel >= 0.118.3
BuildRequires:	qt4-build
BuildRequires:	qt4-linguist
BuildRequires:	qt4-qmake >= 4.3.3-3
BuildRequires:	sed >= 4.0
Provides:	jack-patch-bay
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qjackctl is a Qt application to control the JACK sound server.
Provides a simple GUI dialog for setting several JACK parameters.

%description -l pl.UTF-8
Qjackctl to program pozwalający kontrolować serwer dźwięku JACK-a.
Posiada proste GUI dla ustawiania poszczególnych parametrów JACK-a.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}

%configure
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -c %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name} --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/qjackctl.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qjackctl.spec,v $
Revision 1.53  2011/04/18 15:28:00  baggins
- rel 3
- BR jack >= 0.118.3 for session support

Revision 1.52  2011/04/18 12:02:59  baggins
- rel 2

Revision 1.51  2011/04/18 11:41:29  baggins
- BR qtdbus

Revision 1.50  2011/04/18 10:28:58  baggins
- updated to 0.3.7

Revision 1.49  2010/05/12 13:09:25  baggins
- rel 5
- fixed desktop categories

Revision 1.48  2010/02/09 01:08:34  sparky
- BR: qt4-build

Revision 1.47  2010/02/06 21:12:41  arekm
- release 4

Revision 1.46  2008/01/06 23:08:00  glen
- rel 3

Revision 1.45  2008-01-06 19:51:05  twittner
- added -qt4.patch - quick fix, which allows to build on sys. with /lib64
- rel. 2

Revision 1.44  2007-12-23 22:06:11  qboosh
- sorted BRs

Revision 1.43  2007-12-22 01:37:49  twittner
- up to 0.3.2

Revision 1.42  2007/04/10 23:04:08  shadzik
- qt-devel epoch (still 6)

Revision 1.41  2007/04/01 15:34:32  twittner
- up to 0.2.22

Revision 1.40  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.39  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.38  2006/05/22 21:19:04  freetz
- 0.2.20, fixed build

Revision 1.37  2005/07/18 23:17:44  charles
- up to 0.2.18

Revision 1.36  2005/06/17 10:20:42  freetz
- 0.2.17

Revision 1.35  2005/06/13 22:21:14  charles
- updated to 0.2.16
- removed -build_fixes.patch

Revision 1.34  2005/02/28 21:42:54  qboosh
- unified

Revision 1.33  2005/02/09 15:49:56  charles
- ver. 0.2.15a (return of the paranoid) ;)

Revision 1.32  2005/02/07 14:30:25  charles
- updated to 0.2.15

Revision 1.31  2005/01/25 22:29:35  qboosh
- restored lost changelog entry

Revision 1.30  2005/01/23 19:23:22  charles
- BR alsa-lib-devel

Revision 1.29  2005/01/23 19:19:42  charles
- update to 0.2.14
- BR qmake

Revision 1.28  2004/11/21 21:09:05  freetz
- 0.2.13, STBR

Revision 1.27  2004/11/05 11:08:43  paladine
- rel 3 for fixed desktop file

Revision 1.26  2004/11/05 07:40:32  ankry
- BR: sed-4

Revision 1.25  2004/11/05 07:39:54  ankry
- amd64 build fix, rel. 2

Revision 1.24  2004/11/04 20:18:19  freetz
- 0.2.12a, working URL, STBR

Revision 1.23  2004/11/04 19:32:11  ankry
- pl fix

Revision 1.22  2004/10/10 13:04:22  pluto
- updated to 0.2.12.

Revision 1.21  2004/09/22 22:55:13  freetz
- 0.2.11

Revision 1.20  2004/07/18 22:13:07  freetz
- 0.2.9

Revision 1.19  2004/05/12 17:20:09  freetz
- 0.2.8 (tested with gcc 3.4 - safe)

Revision 1.18  2004/04/22 22:15:56  freetz
- 0.2.7b

Revision 1.17  2004/03/11 13:46:44  freetz
- 0.2.6

Revision 1.16  2004/02/16 21:25:46  freetz
- 0.2.5

Revision 1.15  2004/02/02 22:31:05  freetz
- 0.2.4

Revision 1.14  2004/01/19 18:26:06  freetz
- 0.2.3a

Revision 1.13  2004/01/17 12:33:41  freetz
- 0.2.2

Revision 1.12  2004/01/05 19:34:03  freetz
- 0.2.1

Revision 1.11  2003/12/19 18:41:33  freetz
- 0.2.0

Revision 1.10  2003/11/28 16:15:45  freetz
- 0.1.3

Revision 1.9  2003/11/16 17:11:46  freetz
- 0.1.2

Revision 1.8  2003/11/11 02:06:30  qboosh
- BR: ac,am

Revision 1.7  2003/11/02 17:27:37  freetz
- 0.1.1a (missing icons and icons polishing fixes in this rel.)

Revision 1.6  2003/10/29 21:54:16  freetz
- 0.1.1

Revision 1.5  2003/10/24 22:53:36  freetz
- provides jack-patch-bay

Revision 1.4  2003/10/24 21:57:03  freetz
- 0.1.0

Revision 1.3  2003/10/16 19:36:52  adgor
- QTIR must be whole exported

Revision 1.2  2003/10/04 15:45:28  freetz
- typo

Revision 1.1  2003/10/04 15:40:42  freetz
- initial release
